All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface MdStore

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  MdObjectStore, MdServerStore

    public interface MdStore

extends java.rmi.Remote

This describes the base store object for metadata

Field Summary
`static java.lang.String` | `ExternalIdenty_Context` The context of the ExternalIdentity objects associated to new objects created under change management
`static java.lang.String` | `ExternalIdenty_ImportType` The ImportType of ExternalIdentity objects associated to new objects created under change management
`static int` | `MDSTORETYPE_OBJECTSTORE`
`static int` | `MDSTORETYPE_SERVERSTORE`

Method Summary
`abstract void` | `addChildStore(MdStore inStore)` Add a store as a child to this one.
`abstract void` | `addMdStoreListener(MdStoreListener l)` Used to add an object to the list of listeners for changes in the Metadata Map
`abstract void` | `addVetoableChangeListener(java.beans.VetoableChangeListener l)` Adds a listener to the list
`abstract void` | `changeHashKey(java.lang.String strOldId, java.lang.String strNewId)` Change the hash key associated with an object, and send events for the removal of the old object and addition of the new object to Map.
`abstract void` | `createExternalIdentityObject(CMetadata owningObject)` This creates an ExternalIdentity object connection to owningObject for change management.
`abstract java.lang.String` | `createRefreshXMLforStore(boolean includeLocallyChangedItems, boolean getFullObjectUpdate)` Creates XML for all objects in store.
`abstract boolean` | `deleteObject(CMetadata inObject)` Makes an object unavailable in the object store.
`abstract void` | `dispose()` Cleans up this objectStore and it's objects from it's parent.
`abstract void` | `dumpDetailHashMap()` Prints out the contents of the Detail object Map.
`abstract void` | `fireMdObjectsAdded(MdEvent e, java.util.List ids)` Used to notify all the listeners in the listner list of modifications to the object.
`abstract void` | `fireMdObjectsModified(MdEvent e, java.util.List items)` Used to notify all the listeners in the listner list of modifications to the object.
`abstract void` | `fireMdObjectsRemoved(MdEvent e, java.util.List ids)` Used to notify all the listeners in the listner list of modifications to the object.
`abstract void` | `flushUpdates(java.util.List<CMetadata> updatedItems)` Flush updated objects to parent store.
`abstract java.util.List<CMetadata>` | `getChangedObjects()` Gets a List of changed objects.
`abstract java.util.Map<java.lang.String,CMetadata>` | `getDetailObjectMap()` Returns the Detail Object Map
`abstract MdFactory` | `getFactory()` Returns the factory used to create objects.
`abstract boolean` | `getIsGoToServerForMetadata()` Deprecated. `isGoToServerForMetadata()` should be used instead
`abstract CMetadata` | `getObject(java.lang.String strFQID)` Return object associated with ID
`abstract MdStore` | `getOwningStore()` Gets the parent store to this one
`abstract int` | `getStoreType()` Gets the type of store this is, either a `MdStore.MDSTORETYPE_SERVERSTORE` or a `MdStore.MDSTORETYPE_OBJECTSTORE`
`abstract boolean` | `isDisposed()` Returns whether or not the store has been disposed.
`abstract boolean` | `isGoToServerForMetadata()` Tells whether or not to go to server for the metadata.
`abstract java.lang.String` | `makeID(java.lang.String shortID)` Creates a new id for an object.
`abstract void` | `removeChildStore(MdStore inStore)` Remove a store as a child of this one.
`abstract void` | `removeMdStoreListener(MdStoreListener l)` Used to remove an object from the list of listeners for changes in the Metadata Map
`abstract void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener l)` Removes a listener from the list of vetoable listners
`abstract void` | `resetStates(java.util.List<CMetadata> items)` Resets all the objects in items to to set from server state or unSET.
`abstract CMetadata` | `restoreObject(java.lang.String objectID)` Restores an object to the Store so that it is available from the store.
`abstract void` | `setGoToServerForMetadata(boolean goToServer)` Tells whether or not to go to server for the metadata.
`abstract void` | `setIsGotToServerForMetadata(boolean goToServer)` Deprecated. `setGoToServerForMetadata(boolean)` should be used instead
`abstract void` | `setOwningStore(MdStore parent)` Sets the parent store to this one.
`abstract void` | `updateChangeListObjectIDs(java.lang.String OldReposID, java.lang.String NewReposID)` Changes a new objects repos id for all the objects in the change list of this object store, to a specified repos id.
`abstract void` | `updateChangeListObjectIDs(java.lang.String OldReposID, java.lang.String NewReposID, java.lang.String targetReposID)` Changes a new objects repos id for all the objects in the change list of this object store, to a specified repos id.
`abstract void` | `updateCreatedItemsList(java.util.List<java.lang.String> items)` remove the items that have been updated from the createdItems list.
`abstract void` | `updatedMetadataAll()`

Field Detail

### MDSTORETYPE_SERVERSTORE

    static final int MDSTORETYPE_SERVERSTORE

See Also:
  Constant Field Values

### MDSTORETYPE_OBJECTSTORE

    static final int MDSTORETYPE_OBJECTSTORE

See Also:
  Constant Field Values

### ExternalIdenty_Context

    static final java.lang.String ExternalIdenty_Context

  The context of the ExternalIdentity objects associated to new objects created under change management

  See Also:
    Constant Field Values

### ExternalIdenty_ImportType

    static final java.lang.String ExternalIdenty_ImportType

  The ImportType of ExternalIdentity objects associated to new objects created under change management

  See Also:
    Constant Field Values

Method Detail

### getStoreType

    int getStoreType()
                     throws java.rmi.RemoteException

  Gets the type of store this is, either a `MdStore.MDSTORETYPE_SERVERSTORE` or a `MdStore.MDSTORETYPE_OBJECTSTORE`

  Returns:
    store type as an int.
  Throws:
    `java.rmi.RemoteException`

### getObject

    CMetadata getObject(java.lang.String strFQID)
                        throws java.rmi.RemoteException

  Return object associated with ID

  Parameters:
    `strFQID` - String The ID of the object to get from the Map
  Returns:
    CMetadata The object, or null if object not in Map.
  Throws:
    `java.rmi.RemoteException`

### makeID

    java.lang.String makeID(java.lang.String shortID)
                            throws java.rmi.RemoteException

  Creates a new id for an object.

  Parameters:
    `shortID` - String
  Throws:
    `java.rmi.RemoteException`

### dumpDetailHashMap

    void dumpDetailHashMap()
                           throws java.rmi.RemoteException

  Prints out the contents of the Detail object Map.

  Throws:
    `java.rmi.RemoteException`

### updatedMetadataAll

    void updatedMetadataAll()
                            throws java.rmi.RemoteException,
                                   MdException

  Throws:
    `java.rmi.RemoteException`
    `MdException`

### changeHashKey

    void changeHashKey(java.lang.String strOldId,
                       java.lang.String strNewId)
                       throws java.rmi.RemoteException

  Change the hash key associated with an object, and send events for the removal of the old object and addition of the new object to Map.

  Parameters:
    `strOldId` - String
    `strNewId` - String
  Throws:
    `java.rmi.RemoteException`

### setOwningStore

    void setOwningStore(MdStore parent)
                        throws java.rmi.RemoteException

  Sets the parent store to this one.

  Parameters:
    `parent` - MdStore
  Throws:
    `java.rmi.RemoteException`

### getOwningStore

    MdStore getOwningStore()
                           throws java.rmi.RemoteException

  Gets the parent store to this one

  Returns:
    MdStore This store's parent.
  Throws:
    `java.rmi.RemoteException`

### dispose

    void dispose()
                 throws java.rmi.RemoteException

  Cleans up this objectStore and it's objects from it's parent.

  Throws:
    `java.rmi.RemoteException`

### deleteObject

    boolean deleteObject(CMetadata inObject)
                         throws java.rmi.RemoteException

  Makes an object unavailable in the object store. Use restore to make the object available after a delete

  Parameters:
    `inObject` - CMetadata
  Throws:
    `java.rmi.RemoteException`

### restoreObject

    CMetadata restoreObject(java.lang.String objectID)
                            throws java.rmi.RemoteException

  Restores an object to the Store so that it is available from the store.

  Parameters:
    `objectID` - String
  Throws:
    `java.rmi.RemoteException`

### getChangedObjects

    java.util.List<CMetadata> getChangedObjects()
                                                throws java.rmi.RemoteException

  Gets a List of changed objects.

  Throws:
    `java.rmi.RemoteException`

### flushUpdates

    void flushUpdates(java.util.List<CMetadata> updatedItems)
                      throws java.rmi.RemoteException

  Flush updated objects to parent store.

  Throws:
    `java.rmi.RemoteException`

### resetStates

    void resetStates(java.util.List<CMetadata> items)
                     throws java.rmi.RemoteException

  Resets all the objects in items to to set from server state or unSET.

  Parameters:
    `items` - List (NOTE: CMetadata objects in items)
  Throws:
    `java.rmi.RemoteException`

### addMdStoreListener

    void addMdStoreListener(MdStoreListener l)
                            throws java.rmi.RemoteException

  Used to add an object to the list of listeners for changes in the Metadata Map

  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException`

### removeMdStoreListener

    void removeMdStoreListener(MdStoreListener l)
                               throws java.rmi.RemoteException

  Used to remove an object from the list of listeners for changes in the Metadata Map

  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException`

### fireMdObjectsModified

    void fireMdObjectsModified(MdEvent e,
                               java.util.List items)
                               throws java.rmi.RemoteException

  Used to notify all the listeners in the listner list of modifications to the object.

  Parameters:
    `e` - ChangeEvent Created like: `new ChangeEvent(Object generator)`
    `items` - Vector Is list of items FQID that have been added.
  Throws:
    `java.rmi.RemoteException`

### fireMdObjectsAdded

    void fireMdObjectsAdded(MdEvent e,
                            java.util.List ids)
                            throws java.rmi.RemoteException

  Used to notify all the listeners in the listner list of modifications to the object.

  Parameters:
    `e` - ChangeEvent Created like: `new ChangeEvent(Object generator)`
    `items` - Vector Is list of items FQID that have been added.
  Throws:
    `java.rmi.RemoteException`

### fireMdObjectsRemoved

    void fireMdObjectsRemoved(MdEvent e,
                              java.util.List ids)
                              throws java.rmi.RemoteException

  Used to notify all the listeners in the listner list of modifications to the object.

  Parameters:
    `e` - ChangeEvent Created like: `new ChangeEvent(Object generator)`
    `items` - Vector Is list of items FQID that have been added.
  Throws:
    `java.rmi.RemoteException`

### getDetailObjectMap

    java.util.Map<java.lang.String,CMetadata> getDetailObjectMap()
                                                                 throws java.rmi.RemoteException

  Returns the Detail Object Map

  Returns:
    The association Map
  Throws:
    `java.rmi.RemoteException`

### getFactory

    MdFactory getFactory()
                         throws java.rmi.RemoteException

  Returns the factory used to create objects.

  Returns:
    MdFactory
  Throws:
    `java.rmi.RemoteException`

### getIsGoToServerForMetadata

    boolean getIsGoToServerForMetadata()
                                       throws java.rmi.RemoteException

  Deprecated. `isGoToServerForMetadata()` should be used instead

  Tells whether or not to go to server for the metadata.

  Returns:
    boolean true if allowed to go to the server.
  Throws:
    `java.rmi.RemoteException`

### setIsGotToServerForMetadata

    void setIsGotToServerForMetadata(boolean goToServer)
                                     throws java.rmi.RemoteException

  Deprecated. `setGoToServerForMetadata(boolean)` should be used instead

  Tells whether or not to go to server for the metadata.

  Parameters:
    `goToServer` - go for metadata
  Throws:
    `java.rmi.RemoteException`

### setGoToServerForMetadata

    void setGoToServerForMetadata(boolean goToServer)
                                  throws java.rmi.RemoteException

  Tells whether or not to go to server for the metadata.

  Parameters:
    `goToServer` - go for metadata
  Throws:
    `java.rmi.RemoteException`

### isGoToServerForMetadata

    boolean isGoToServerForMetadata()
                                    throws java.rmi.RemoteException

  Tells whether or not to go to server for the metadata.

  Returns:
    true if allowed to go to the server.
  Throws:
    `java.rmi.RemoteException`

### isDisposed

    boolean isDisposed()
                       throws java.rmi.RemoteException

  Returns whether or not the store has been disposed.

  Returns:
    boolean
  Throws:
    `java.rmi.RemoteException`

### addVetoableChangeListener

    void addVetoableChangeListener(java.beans.VetoableChangeListener l)
                                   throws java.rmi.RemoteException

  Adds a listener to the list

  Parameters:
    `l` - VetoableChangeListener
  Throws:
    `java.rmi.RemoteException`

### removeVetoableChangeListener

    void removeVetoableChangeListener(java.beans.VetoableChangeListener l)
                                      throws java.rmi.RemoteException

  Removes a listener from the list of vetoable listners

  Parameters:
    `l` - VetoableChangeListener
  Throws:
    `java.rmi.RemoteException`

### createExternalIdentityObject

    void createExternalIdentityObject(CMetadata owningObject)
                                      throws java.rmi.RemoteException

  This creates an ExternalIdentity object connection to owningObject for change management. This new object contains the real repos id for the new object.

  Parameters:
    `owningObject` - CMetadata Object to which to attach ExternalIdentity.
  Throws:
    `java.rmi.RemoteException`

### updateChangeListObjectIDs

    void updateChangeListObjectIDs(java.lang.String OldReposID,
                                   java.lang.String NewReposID)
                                   throws java.rmi.RemoteException

  Changes a new objects repos id for all the objects in the change list of this object store, to a specified repos id. This should be only the short ID. "AAAAAAAA" to "A5KE2N5K"

  Parameters:
    `OldReposID` - String The repos of objects when they were created.
    `NewReposID` - String The project repos id if under change management, the target if not.
  Throws:
    `java.rmi.RemoteException`

### updateChangeListObjectIDs

    void updateChangeListObjectIDs(java.lang.String OldReposID,
                                   java.lang.String NewReposID,
                                   java.lang.String targetReposID)
                                   throws java.rmi.RemoteException

  Changes a new objects repos id for all the objects in the change list of this object store, to a specified repos id. This should be only the short ID. "AAAAAAAA" to "A5KE2N5K"

  Parameters:
    `OldReposID` - String The repos of objects when they were created.
    `NewReposID` - String The project repos id if under change management, the target if not.
    `targetReposID` - String In change management is the real repos the objects will be checked into
  Throws:
    `java.rmi.RemoteException`

### updateCreatedItemsList

    void updateCreatedItemsList(java.util.List<java.lang.String> items)
                                throws java.rmi.RemoteException

  remove the items that have been updated from the createdItems list.

  Parameters:
    `items` -
  Throws:
    `java.rmi.RemoteException`

### addChildStore

    void addChildStore(MdStore inStore)
                       throws java.rmi.RemoteException

  Add a store as a child to this one.

  Parameters:
    `inStore` -
  Throws:
    `java.rmi.RemoteException`

### removeChildStore

    void removeChildStore(MdStore inStore)
                          throws java.rmi.RemoteException

  Remove a store as a child of this one.

  Parameters:
    `inStore` -
  Throws:
    `java.rmi.RemoteException`

### createRefreshXMLforStore

    java.lang.String createRefreshXMLforStore(boolean includeLocallyChangedItems,
                                              boolean getFullObjectUpdate)
                                              throws java.rmi.RemoteException

  Creates XML for all objects in store.

  Returns:
    XML string for objects in store
  Throws:
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.